System.ServiceModel 4.0.0.0 System.Collections.Generic.SynchronizedCollection<T> T System.Runtime.InteropServices.ComVisible(false) To be added. To be added.

Inherited by for use hosting.

Provides a thread-safe collection that contains objects of a type specified by a generic parameter and that are grouped by keys.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  If multiple instances of the are created using the same , then access is protected across all instances.

  Initializes a new instance of the class with access synchronized by an explicitly specified object.

  The object used to synchronize access to the thread-safe collection.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added.

  Clears all items from the collection.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.IDictionary<K,T> To be added. To be added.

  Gets the dictionary associated with the collection.

- Method
  4.0.0.0
  K `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes an item at a specified location from the collection.

  The zero-based index that specifies the location of the item that is removed from the collection.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.